Issue 9517

Title
Add new obligatory company identifier for Romania from stdnum
Priority
feature
Status
resolved
Nosy list
ced, dotbit, pokoli, reviewbot, roundup-bot
Assigned to
dotbit
Keywords
patch, review

Created on 2020-08-03.10:27:54 by dotbit, last changed 2 months ago by roundup-bot.

Messages

New changeset bc105e5a7819 by C├ędric Krier in branch 'default':
Add by, cn, cr, id, il, kr tax & personal identifiers
https://hg.tryton.org/tryton-env/rev/bc105e5a7819
New changeset e521e494ff1b by Dimitrios Josef Moustos in branch 'default':
Add by, cn, cr, id, il, kr tax & personal identifiers
https://hg.tryton.org/modules/party/rev/e521e494ff1b
Author: [hidden] (dotbit) Tryton translator
Date: 2020-10-12.22:18:43
Author: [hidden] (dotbit) Tryton translator
Date: 2020-09-02.09:36:51
There is one more identifier to solve for Romania: Company id / VAT code.
Arthur from stdnum will make another release before development freeze on 12 Oct, so this should be incorporated as well then.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-08-10.12:16:53
So i think we should update all the tax identifiers like we did in issue9379
Author: [hidden] (dotbit) Tryton translator
Date: 2020-08-10.07:54:37
python-stdnum 1.14 released
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-08-03.11:47:34
I see python-stdnum added other identifiers, so I we should include all when the new version is released.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-08-03.10:58:40
Deferred until there is a new release of python-stdnum.
Author: [hidden] (dotbit) Tryton translator
Date: 2020-08-03.10:27:53
Identifier stdnum.ro.onrc added in stdnum:
https://github.com/arthurdejong/python-stdnum/issues/229
Please update party with the new identifier.

Also I see stdnum.se.personnummer missing from Tryton.
History
Date User Action Args
2021-02-14 17:40:20roundup-botsetmessages: + msg64588
2021-02-14 17:40:16roundup-botsetmessages: + msg64587
nosy: + roundup-bot
status: testing -> resolved
2021-02-05 09:57:46reviewbotsetmessages: + msg64322
2021-01-29 09:10:07dotbitsetfiles: - party.patch
2021-01-25 14:51:03reviewbotsetmessages: + msg64081
2020-12-21 11:25:53reviewbotsetmessages: + msg63548
2020-12-18 13:17:20reviewbotsetmessages: + msg63365
2020-11-24 12:54:40reviewbotsetmessages: + msg62177
2020-11-16 11:52:51reviewbotsetmessages: + msg61962
nosy: + reviewbot
2020-11-16 11:52:50reviewbotsetkeyword: + review
reviews: 294751003

Showing 10 items. Show all history (warning: this could be VERY long)